#!/usr/bin/python

"""
This is a brief script to convert IP address ranges from the octet format used in the /etc/mail/relay-domains file
in Sendmail  (e.g.  using A.B to denote anything from A.B.0.0 to A.B.255.255) to the network/mask bits format
used in the "mynetworks" variable of Postfix's /etc/postfix/main.cf file.

You'll have to put the original sendmail networks manually into the 'networks' list below, the script doesn't
do anything fancy like read them in for you.

This was a one-off script I wrote during a sendmail to postfix conversion.  
"""

networks = ("10", "A.B", "A.B.88", "A.B.89", "A.B.90", "A.B.91", "A.B.92", "172.20", "X.Y.W.Z")

for each in networks:
    #print each
    count = each.count(".")
    if count == 0:
        print "%s.0.0.0/8," % (each),

    if count == 1:
        print "%s.0.0/16," % (each),

    if count == 2:
        print "%s.0/24," % (each), 

    if count == 3:
        print "%s/32," % (each), 



